// JavaScript Document

//后台登陆检测
function check_login(){
	if(document.g_login_form.username.value=="")
	{
		alert("用户名不能为空！");
		document.g_login_form.username.focus;
		return false;
		}
	if(document.g_login_form.password.value=="")
	{
		alert("密码不能为空！");
		document.g_login_form.password.focus;
		return false;
		}
	
	}

//关于搜索提示
var search_text="搜索其实很简单 (^.^)";
function searchFocus(e){
	if(e.value==search_text)
		{
			e.value='';
			}
	}
function searchBlur(e){
	if(e.value=='')
		{
			e.value=search_text;
			}
	}
function searchCheck_face()
{
	if(document.face_search.searchword.value==search_text)
	{
		alert('请输入搜索关键字！');
		return false;
		}		
	}
function searchCheck_admin()
{
	if(document.admin_search.searchword.value==search_text)
	{
		alert('请输入搜索关键字！');
		return false;
		}		
	}
	
//后台表格经过变色
    $(document).ready(function(){ 							 
     $("tr").mouseover(function(){  
      $(this).addClass("over");  
     });  
     $("tr").mouseout(function(){  
      $(this).removeClass("over"); 
     });   
     $("tr").hover( 
  	function(){ 
    	$(this).addClass("hover");  
  	}, 
  	function(){ 
   	 $(this).removeClass("hover");  
  	} 
	); 
     //$("tr:even").addClass("double");  

    });
	
//检测更新后台管理员
function check_manager(){
	if(document.manager.username.value=='')
	{
		alert("用户名不能为空");
		document.manager.username.focus;
		return false;
		}
	if(document.manager.password.value=='')
	{
		alert("密码不能为空");
		document.manager.password.focus;
		return false;
		}
	if(document.manager.password_again.value=='')
	{
		alert("确认密码不能为空");
		document.manager.password_again.focus;
		return false;
		}
	if(document.manager.password.value!=document.manager.password_again.value)
	{
		alert("密码不一致，请重新填写");
		document.manager.password.focus;
		return false;
		}
	
	}
	
	
//全选复选框
function CheckAll(form)
  {
  for (var i=0;i<form.elements.length;i++)
    {
    var e = form.elements[i];
    if (e.Name != "chkAll")
       e.checked = form.chkAll.checked;
    }
  }
 

//检测是否有选择多选框的至少一项
function check_delbtn(objNam){
	var obj = document.getElementsByName(objNam); //获取多选框数组
	var objLen= obj.length; //获取数据长度
	var objYN; //是否有选择
	var i;
	objYN=false;
	for (i = 0;i< objLen;i++){
	if (obj[i].checked==true) {
		objYN = true;
		break;
		}
		else
		{
			alert('请自至少选中一项');
			}
	}
return objYN;
}


